<?php
defined('BASEPATH') OR exit('No direct script access allowed');
header('Access-Control-Allow-Origin: *'); 

class Inventory extends CI_Controller {
    public function __construct() 
    {
        parent::__construct();  
    }
    public function index(){
        $user_id = $this->input->get('user_id'); 
    	$distributor =$this->input->get('distributor');
    	
    	$sql="call ptsl_sp_inventory(?,?);";
   		$result = $this->db->query($sql,array($user_id,$distributor))->result_array();
    	//print_r($result);
    	if($result){
             $response = array(
                'status' => TRUE,
                'inventory' => $result,
                'len' => count($result),
               
            );
            echo json_encode($response);
        }
        else{
             $response = array(
                'status' => False,
                'message' => "No Data Found"
            );
        echo json_encode($response);
        }
    }
    public function get_sku(){
    	$ids_array = array(1,5,2);
        $this->db->select('packaging_id as id, packaging_name');
    	$this->db->where_in('packaging_id',$ids_array);
    	$data = $this->db->get('ptsl_item_packaging')->result_array();
    	if($data){
             $response = array(
                'status' => TRUE,
                'sku_list' => $data,
            );
            echo json_encode($response);
        }
        else{
             $response = array(
                'status' => False,
                'message' => "No Data Found"
            );
        echo json_encode($response);
        }
    }
    public function getDistributors($user_id){
        $spn = "call ptsl_sp_get_distributors_for_inventory('".$user_id."')";
        $data = $this->db->query($spn)->result_array();
        if($data){
             $response = array(
                'status' => TRUE,
                'distributors' => $data,
            );
            echo json_encode($response);
        }
        else{
             $response = array(
                'status' => False,
                'message' => "No Data Found"
            );
        echo json_encode($response);
        }
    }
}